Subject: Re: [PATCH 2/2] tests: avoid using the branch name `main`

From: Derrick Stolee <[email-masked]>
Date: Thu, 8 Oct 2020 14:15:41 -0400

On 10/8/2020 4:05 AM, Johannes Schindelin wrote:
> On Mon, 5 Oct 2020, Jonathan Nieder wrote:
>> Johannes Schindelin wrote:
>>> -	git switch -c main &&
>>> +	git switch -c primary &&
>>
>> Is there a secondary corresponding to this primary?
> 
> Nope, of course not ;-)
> 
>> I guess the idea is that this is the trunk that other branches branch
>> from?  Looking at the history, it seems that this test was added
>> relatively recently and it may have had the upcoming branch name change
>> in mind (or in other words if it were an older test it might be expected
>> to use "master").
> 
> I guess that Stolee (Cc:ed) had something like that in mind.
> 
> When I look at 8d049e182e2 (revision: --show-pulls adds helpful
> merges, 2020-04-10), I get the impression that does not _really_ care
> about the name of the main branch, it just wants to know the name so it
> can switch back and forth.

The branch name here is not important, so please replace it
with whatever works best for you.

What _is_ important is keeping the commit messages in agreement with
the commented ASCII-art DAG above this test. It does not mention the
branch names, so this change will not cause an inconsistent comment.

Thanks,
-Stolee